Bug 708585 - SELinux is preventing /usr/libexec/colord from 'read' accesses on the directory /.
Summary: SELinux is preventing /usr/libexec/colord from 'read' accesses on the directo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: i386
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:5beecf08d1a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-28 07:12 UTC by vikram goyal
Modified: 2011-06-24 03:54 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-30.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 03:54:06 UTC


Attachments (Terms of Use)

Description vikram goyal 2011-05-28 07:12:51 UTC
SELinux is preventing /usr/libexec/colord from 'read' accesses on the directory /.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that colord should be allowed read access on the  directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep colord /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:colord_t:s0-s0:c0.c1023
Target Context                system_u:object_r:iso9660_t:s0
Target Objects                / [ dir ]
Source                        colord
Source Path                   /usr/libexec/colord
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           colord-0.1.7-1.fc15
Target RPM Packages           filesystem-2.4.41-1.fc15
Policy RPM                    selinux-policy-3.9.16-24.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.38.6-27.fc15.i686.PAE
                              #1 SMP Sun May 15 17:39:47 UTC 2011 i686 i686
Alert Count                   1
First Seen                    Sat 28 May 2011 12:35:57 PM IST
Last Seen                     Sat 28 May 2011 12:35:57 PM IST
Local ID                      0f10699d-3276-4b5e-a0ac-d7c8977ec6b1

Raw Audit Messages
type=AVC msg=audit(1306566357.747:83): avc:  denied  { read } for  pid=7915 comm="colord" name="/" dev=sr0 ino=1856 scontext=system_u:system_r:colord_t:s0-s0:c0.c1023 tcontext=system_u:object_r:iso9660_t:s0 tclass=dir


type=SYSCALL msg=audit(1306566357.747:83): arch=i386 syscall=access success=yes exit=0 a0=8375e20 a1=5 a2=4c4c9328 a3=8375e08 items=0 ppid=1 pid=7915 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=colord exe=/usr/libexec/colord subj=system_u:system_r:colord_t:s0-s0:c0.c1023 key=(null)

Hash: colord,colord_t,iso9660_t,dir,read

audit2allow

#============= colord_t ==============
allow colord_t iso9660_t:dir read;

audit2allow -R

#============= colord_t ==============
allow colord_t iso9660_t:dir read;

Comment 1 Dominick Grift 2011-05-28 10:38:13 UTC
Its listing /media i believe. Added this:

http://git.fedorahosted.org/git/?p=selinux-policy.git;a=commitdiff;h=f1f039c2fc8f4f5473b78bec26e09efeb8ad87d9

Comment 2 Miroslav Grepl 2011-05-30 07:26:16 UTC
Yes, looks good.

Comment 3 Miroslav Grepl 2011-05-30 07:29:52 UTC
Fixed in selinux-policy-3.9.16-27.fc15

Comment 4 Fedora Update System 2011-06-10 10:49:42 UTC
selinux-policy-3.9.16-29.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-29.fc15

Comment 5 Fedora Update System 2011-06-11 04:29:01 UTC
Package selinux-policy-3.9.16-29.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-29.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-29.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-06-21 17:30:47 UTC
Package selinux-policy-3.9.16-30.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-30.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-30.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-06-24 03:52:29 UTC
selinux-policy-3.9.16-30.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.